package vs;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.Socket;

/**
 * Client for echo var.sockets.tcp.filer.FileServer* service. Verbindet sich mit
 * Server, empfängt dann zeilenweise vom Server und gibt auf der Konsole aus,
 * was empfangen wurde. Empfängt und gibt so lange aus, bis der Server die
 * Kommunikation beendet und den Socket schließt.
 *
 * @author Sandro Leuchter
 *
 */
public class FileClient {

	/**
	 * main method: entrypoint to run
	 *
	 * @param args address of service to connect to (must be String[0]: host
	 *             (IP-address or DNS hostname), String[1]: port)
	 *
	 */
	public static void main(String[] args) {
		String host = args[0];
		int port = Integer.parseInt(args[1]);

		try (Socket socket = new Socket(host, port);
				BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()))) {
			String line;
			while ((line = in.readLine()) != null) {
				System.out.println(line);
			}
		} catch (Exception e) {
			System.err.println(e);
		}
	}
}
